Summary:	Mesa AIGLX direct rendering library
Name:	 	Xorg-Mesa-dri
Version:	7.5_7.1.0_20090304
Release:	1
License:	GPL
URL:		http://www.mesa3d.org/
Source:		mesa.tar.bz2
Patch0:		xorg-mesa-dri.diff
Patch1:		disable-tex-offset.patch
Patch2:		xorg-mesa-dri-xdemos.diff
Patch3:		glx_pbuffer.c.diff
Group:		Libraries
BuildRoot:	%{_tmppath}/%{name}-root
Provides:	Mesa libMesa Mesalib mesa libmesa mesalib
#define __spec_install_post /usr/lib/rpm/brp-compress

%description
Mesa is a 3-D graphics library with an API which is very similar to 
that of OpenGL.* To the extent that Mesa utilizes the OpenGL comman
d syntax or state machine, it is being used with authorization from
Silicon Graphics, Inc.(SGI). However, the author does not possess a
n OpenGL license from SGI, and makes no claim that Mesa is in any w
ay a compatible replacement for OpenGL or associated with SGI. Thos
e who want a licensed implementation of OpenGL should contact a lic
ensed vendor.
 
Please do not refer to the library as MesaGL (for legal reasons). 
It's just Mesa or The Mesa 3-D graphics librar

git clone git://anongit.freedesktop.org/git/mesa/mesa

%package        devel
Summary:        Development
Group:          Development
Provides:	Mesa-devel libMesa-devel Mesalib-devel mesa-devel libmesa-devel mesalib-devel

%description    devel
Xorg-Mesa devel

%prep
%setup -q -n mesa
%patch0 -p0
%patch1 -p1
%patch2 -p0
%patch3 -p0

%build
autogen.sh  \
	    --host=i386-pc-linux \
	    --build=i386-pc-linux \
	    --prefix=/usr/X11R6 \
	    --sysconfdir=/etc \
	    --localstatedir=/var \
	    --with-driver=dri  \
	    --enable-gl-osmesa \
	    --with-demos=no \
	    --with-dri-driverdir=/usr/X11R6/lib/dri \
	    --enable-driglx-direct \
	    --with-osmesa-bits=32 \
	    --disable-asm \
	    --disable-debug
make;cd progs/xdemos/;make glxinfo glxgears

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{bin,include}
cp progs/xdemos/{glxgears,glxinfo} $RPM_BUILD_ROOT/usr/X11R6/bin/
mkdir -p $RPM_BUILD_ROOT/usr/{include,lib}
ln -sf ../X11R6/include/GL $RPM_BUILD_ROOT/usr/include/GL
cd $RPM_BUILD_ROOT/usr/lib; ln -sf ../X11R6/lib/lib* .;mkdir pkgconfig;
cd pkgconfig;ln -sf ../../X11R6/lib/pkgconfig/* .

strip -g -x -X $RPM_BUILD_ROOT/usr/X11R6/lib/dri/* 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/lib/*.so.*
/usr/X11R6/lib/*.so
/usr/X11R6/lib/dri
/usr/lib/*.so.*
/usr/lib/*.so
/usr/X11R6/bin

%files devel
%defattr(-,root,root)
/usr/X11R6/lib/pkgconfig
/usr/lib/pkgconfig
/usr/X11R6/include
/usr/include
